const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const payment_status = sequelize.define(
    'payment_status',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

name: {
        type: DataTypes.TEXT,

      },

css: {
        type: DataTypes.TEXT,

      },

visible: {
        type: DataTypes.BOOLEAN,

        allowNull: false,
        defaultValue: false,

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  payment_status.associate = (db) => {

    db.payment_status.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.payment_status.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };

  return payment_status;
};

